GET /aliases/v2

here.com:tracking

Summary: Gets all aliases
Operation ID:
Auth: unknown
Description

Gets all aliases of a project. If `type` query parameter is provided, the response will contain only aliases of the given type. If `externalId` query parameter is specified, the response will contain only aliases that match the given external ID. The following wildcards can be used: '*' matches any number of any characters, '?' matches a single character. If `after` query parameter is provided, the successful response will only contain aliases that were created after the specified timestamp. Parameters `after` and `pageToken` are mutually exclusive and cannot be provided at the same time. The returned results are sorted in ascending order by the alias creation time.

Parameters (7)

X-Request-Id (string, header, optional)

ID used for correlating requests within HERE Tracking. Used for logging and error reporting. Must be a valid UUIDv4.

after (number, query, optional)

Milliseconds elapsed since 1 January 1970 00:00:00 UTC. The accepted range is from 0 to the current time.

Constraints: {'minimum': 0}

count (integer, query, optional, default: 100)

The number of items to return per page.

Constraints: {'minimum': 1, 'maximum': 100}

externalId (string, query, optional)

Filter for aliases external IDs

Constraints: {'minLength': 1, 'maxLength': 50}

pageToken (string, query, optional)

A token from the previously returned response to retrieve the specified page.

projectId (string, query, optional)

Constraints: {'minLength': 1, 'maxLength': 50}

type (string, query, optional)

An alias type

Constraints: {'minLength': 1, 'maxLength': 50}

No probe data for this endpoint yet.